import { parseGoPkgConfig, parseGoVendorConfig } from './parser';
import { DepTree, GoPackageManagerType, GoProjectConfig } from './types';
interface DepDict {
    [dep: string]: DepTree;
}
export interface DepTree {
    name: string;
    version: string;
    dependencies?: DepDict;
}
export { GoPackageManagerType };
export { parseGoPkgConfig, parseGoVendorConfig, GoProjectConfig };
export declare function buildGoPkgDepTree(manifestFileContents: string, lockFileContents: string, options?: unknown): Promise<DepTree>;
export declare function buildGoVendorDepTree(manifestFileContents: string, options?: unknown): Promise<DepTree>;
export declare function buildGoModDepTree(manifestFileContents: string, options?: unknown): DepTree;
